GNU bug report logs - #12997
Add some way to mark autoloads as obsolete

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Glenn Morris <rgm@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 12997 <at> debbugs.gnu.org and Glenn Morris <rgm@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 12997 <at> debbugs.gnu.org:


Received: (at 12997) by debbugs.gnu.org; 9 Jun 2022 15:05:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 11:05:41 2022
Received: from localhost ([127.0.0.1]:47355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzJjB-0006d0-7B
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 11:05:41 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzJj6-0006ce-HU
 for 12997 <at> debbugs.gnu.org; Thu, 09 Jun 2022 11:05:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=DUC2CqckTT6WxSnpIdNHcH6MECj8Jf1sojv/I1vYEk0=; b=N4GbIz6IVgj4fuk6hQXnGQubk0
 sjXqqerS8WsRvR+C6XVr4u+qHgsXh7NgthgzJBdRwdmT2oQEF3RGviwfLv4AI5A5PJ4c6A4dO6ADN
 etKho7jGvr3EmOB+RH1amejRd22IUzGIWd9o4Vme5zMKqpMCk99cxmZeJE6PEFxojHMI=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nzJiu-0001U8-AI; Thu, 09 Jun 2022 17:05:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#12997: Add some way to mark autoloads as obsolete
References: <r9d2z16srh.fsf@HIDDEN> <87tu9xinlh.fsf@HIDDEN>
X-Now-Playing: Farben's _textstar+_: "Beautone (Remaster 2022)"
Date: Thu, 09 Jun 2022 17:05:23 +0200
In-Reply-To: <87tu9xinlh.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 10 May 2022 14:22:34 +0200")
Message-ID: <87edzx27yk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > I may well be
 misunderstanding what you mean here, but if you > > ;;;###autoload > (defun
 foo () > (declare (obsolete nil "25.1")) > > then that obsoletion form also
 makes it into the loaddefs file, [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 12997
Cc: 12997 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I may well be misunderstanding what you mean here, but if you
>
> ;;;###autoload
> (defun foo ()
>   (declare (obsolete nil "25.1"))
>
> then that obsoletion form also makes it into the loaddefs file, so this
> seems like it should already work?
>
> Or is this something that's been fixed in the decade since the bug
> report was opened?

This was a month ago, so I'm going to go ahead and guess that this works
fine now, and I'm closing this bug report.  If this bug report was about
something else, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12997; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 12997 <at> debbugs.gnu.org:


Received: (at 12997) by debbugs.gnu.org; 10 May 2022 12:22:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 08:22:46 2022
Received: from localhost ([127.0.0.1]:60544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noOt3-000604-Tb
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 08:22:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noOt2-0005zm-5i
 for 12997 <at> debbugs.gnu.org; Tue, 10 May 2022 08:22:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5B6YckwHbFwWM+qV66vUDfbE+DmM3HwbO81X765B80A=; b=SpysBRyckfF5weTOOHZEWYZY8c
 AKMzrNqfYszTUuzmvNoFm23iqcnq+2fa2lmYt4Xh+H5LHWASyxMBihySJ8C+XGd0+klWVxKA+1fEB
 euKdhF0A4jcbMrJGYx86pIVDRRADXjmnZrLYwx6JNrjEcqzbGvUGKe3tQZXuxonhMj4k=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noOst-0003Kg-Sq; Tue, 10 May 2022 14:22:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#12997: Add some way to mark autoloads as obsolete
References: <r9d2z16srh.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _The Hissing Of Summer Lawns_: "The Boho Dance"
Date: Tue, 10 May 2022 14:22:34 +0200
In-Reply-To: <r9d2z16srh.fsf@HIDDEN> (Glenn Morris's message of
 "Sun, 25 Nov 2012 20:46:10 -0500")
Message-ID: <87tu9xinlh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Glenn Morris <rgm@HIDDEN> writes: > It would be handy if
 there was a way to mark autoloads obsolete. > Then if the relevant
 function/variable
 is accessed without the > associated package being already loaded, a warning
 would be produc [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 12997
Cc: 12997 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Glenn Morris <rgm@HIDDEN> writes:

> It would be handy if there was a way to mark autoloads obsolete.
> Then if the relevant function/variable is accessed without the
> associated package being already loaded, a warning would be produced.
> (Either from the byte-compiler or via display-warning at the end of
> loading ~/.emacs.)

I may well be misunderstanding what you mean here, but if you

;;;###autoload
(defun foo ()
  (declare (obsolete nil "25.1"))

then that obsoletion form also makes it into the loaddefs file, so this
seems like it should already work?

Or is this something that's been fixed in the decade since the bug
report was opened?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12997; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Nov 2012 01:47:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 25 20:47:53 2012
Received: from localhost ([127.0.0.1]:38801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tcnnd-0000xw-Hs
	for submit <at> debbugs.gnu.org; Sun, 25 Nov 2012 20:47:53 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:54032)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Tcnnb-0000xn-Fg
	for submit <at> debbugs.gnu.org; Sun, 25 Nov 2012 20:47:52 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Tcnly-0007yC-Qi; Sun, 25 Nov 2012 20:46:10 -0500
From: Glenn Morris <rgm@HIDDEN>
To: submit <at> debbugs.gnu.org
Subject: Add some way to mark autoloads as obsolete
X-Spook: keyhole spies basement security Operation Iraqi Freedom
X-Ran: qH"`4+t5|3U%I)@-H_v$E%b`>2KM8K^j-Rk0dKN)!^Q@bBDIXVQUx].4"Y~>e%m[Kiw4A:
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sun, 25 Nov 2012 20:46:10 -0500
Message-ID: <r9d2z16srh.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.6 (----)

Package: emacs
Severity: wishlist

It would be handy if there was a way to mark autoloads obsolete.
Then if the relevant function/variable is accessed without the
associated package being already loaded, a warning would be produced.
(Either from the byte-compiler or via display-warning at the end of
loading ~/.emacs.)




Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12997; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 9 Jun 2022 15:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.